
import javax.swing.UIManager;
import java.awt.*;

/**
 * Title:        HTMLincl
 * Description:
 * Copyright:    Copyright (c) 2001
 * @author Andreas Tetzl
 * @version 1.0
 */

public class App {
  boolean packFrame = false;

  /**Construct the application*/
  public App() {
    Frame frame = new Frame();
    //Validate frames that have preset sizes
    //Pack frames that have useful preferred size info, e.g. from their layout
    if (packFrame) {
      frame.pack();
    }
    else {
      frame.validate();
    }
    //Center the window
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = frame.getSize();
    if (frameSize.height > screenSize.height) {
      frameSize.height = screenSize.height;
    }
    if (frameSize.width > screenSize.width) {
      frameSize.width = screenSize.width;
    }
    frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    frame.setVisible(true);
  }
  /**Main method*/
  public static void main(String[] args) {
    if (args.length>0 && args.length<3) {
      System.out.println("usage: java -jar HTMLincl.jar <source dir> <destination dir>");
      System.exit(0);
    }

    if (args.length>0) {
      int n=Include.include(args[0], args[1]);
      System.out.println("Processed " + n + " Files.");
      System.exit(0);
    }

    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch(Exception e) {
      e.printStackTrace();
    }

    new App();
  }
}